=== debian/changelog ===
gcc-12 (12.2.0-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2022 10:14:52 +0200

gcc-12 (12.2.0-3) unstable; urgency=medium

  * Update to git 20220920 from the gcc-12 branch.
    - Fix PR tree-optimization/106860, PR tree-optimization/106841,
      PR tree-optimization/106809, PR c++/93259, PR c++/106893, PR c++/90451,
      PR fortran/106857, PR fortran/100245, PR libstdc++/106320.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Sep 2022 10:02:11 +0200

gcc-12 (12.2.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2022 16:05:19 +0200

gcc-12 (12.2.0-2) unstable; urgency=medium

  * Update to git 20220908 from the gcc-12 branch.
    - Fix PR target/101322 (PPC), PR rtl-optimization/106187,
      PR target/105463 (ARM), PR other/106782, PR other/106782,
      PR target/106524 (AArch64), PR target/106017 (PPC),
      PR target/106714 (x86), PR target/106721 (x86), PR target/106704 (x86),
      PR rtl-optimization/106590, PR target/106459 (loongarch),
      PR tree-optimization/106322, PR target/103353 (PPC), PR middle-end/106548,
      PR c++/106759, PR fortran/100136, PR fortran/106579, PR fortran/106579,
      PR fortran/103694, PR fortran/106566, PR libstdc++/106695,
      PR libstdc++/106607, PR libstdc++/106589, PR libstdc++/105678.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Sep 2022 15:52:13 +0200

gcc-12 (12.2.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Aug 2022 09:58:01 +0200

gcc-12 (12.2.0-1) unstable; urgency=medium

  * GCC 12.2.0 release.
  * Strip the cc* executables again. Closes: #1015185.
  * cpp-12: Suggest cpp-12-doc. Closes: #1016930.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Aug 2022 09:38:01 +0200

gcc-12 (12.1.0-8ubuntu2) kinetic; urgency=medium

  * No-change upload for glibc private abi changes on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Aug 2022 17:43:46 +0200

gcc-12 (12.1.0-8ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Aug 2022 21:25:03 +0200

gcc-12 (12.1.0-8) unstable; urgency=medium

  * Update to git 20220809 from the gcc-12 branch.
    - Fix PR testsuite/106345, PR target/106091 (PPC), PR middle-end/106449,
      PR debug/106261, PR middle-end/106144, PR tree-optimization/106189,
      PR lto/106129, PR tree-optimization/106087, PR tree-optimization/106063,
      PR tree-optimization/105665, PR tree-optimization/100810,
      PR middle-end/106331, PR tree-optimization/106131, PR middle-end/106027,
      PR tree-optimization/106112, PR tree-optimization/105971,
      PR tree-optimization/105969, PR middle-end/105965, PR target/105459,
      PR tree-optimization/105946, PR analyzer/106225, PR analyzer/106204,
      PR analyzer/105285, PR preprocessor/97498, PR c++/106311, PR c++/106230,
      PR c++/105912, PR c++/105842, PR c++/53164, PR c++/105848,
      PR c++/105637, PR c++/100374, PR c++/105758, PR c++/96363,
      PR fortran/103504, PR fortran/101330, PR libfortran/106079,
      PR libstdc++/104443, PR libstdc++/106248, PR libstdc++/105995,
      PR libstdc++/105957, PR libstdc++/105844, PR libstdc++/100823,
      PR libstdc++/88881, PR libstdc++/105880, PR d/106555 (closes: #1016701).
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Aug 2022 21:22:04 +0200

gcc-12 (12.1.0-7ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jul 2022 18:42:03 +0200

gcc-12 (12.1.0-5ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2022 16:01:39 +0200

gcc-12 (12.1.0-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jun 2022 01:35:41 +0200

gcc-12 (12.1.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 May 2022 13:02:05 +0200

gcc-12 (12-20220428-1ubuntu1) kinetic; urgency=medium

  * New upstream snapshot, taken from the gcc-12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2022 22:50:55 +0200
