## gcc-12 12.3.0

=== debian/changelog ===
gcc-12 (12.3.0-9ubuntu2) mantic; urgency=medium

  * Update to git 20230924 from the gcc-12 branch.
    - Fix PR target/111411 (AArch64), PR c++/111357.
    - Fix return register handling in untyped_call (AArch64).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Sep 2023 11:47:35 +0200

gcc-12 (12.3.0-9ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 13:44:42 +0200

gcc-12 (12.3.0-9) unstable; urgency=medium

  * Update to git 20230913 from the gcc-12 branch.
    - Fix PR target/111340 (x86), PR target/96762 (PPC),
      PR target/111306, PR target/111335, PR middle-end/111017,
      PR target/110484 (loong64), PR tree-optimization/110914,
      PR tree-optimization/111015.
    - Address stack protector and stack clash protection weaknesses
      on AArch64. CVE-2023-4039.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2023 13:33:30 +0200

gcc-12 (12.3.0-8ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 22:24:31 +0200

gcc-12 (12.3.0-8) unstable; urgency=medium

  * Update to git 20230824 from the gcc-12 branch.
    - Fix PR c++/106310, PR c++/106890, PR c++/109666, PR c++/108099,
      PR c++/109761, PR d/110959, PR fortran/107397.
  * Update sanitizer symbols files.
  * Address some lintian warnings:
    - Be quiet about libstdc++-doc manpages.
    - Don't complain about unstripped sanitizer libraries.
  * Update libgphobos symbols file.
  * Remove test protocols in clean target. Closes: #1044154.
  * Disable Ada, Go, D, Modula-2 frontends on loong64.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Aug 2023 22:13:46 +0200

gcc-12 (12.3.0-7ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Aug 2023 12:34:35 +0200

gcc-12 (12.3.0-7) unstable; urgency=medium

  * Update to git 20230802 from the gcc-12 branch.
    - Fix PR target/110741 (PPC), PR target/110206, PR target/101469 (SH),
      PR target/106966 (alpha), PR c++/110468, PR fortran/95947,
      PR fortran/110658, PR fortran/110288, PR libstdc++/95048.
  * libgccjit-12-doc: Relax dependency on the gcc-12-base package.
  * Fix some lintian warnings.
  * gcc-12-doc: Fix installation of the libitm info file. LP: #1936394.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Aug 2023 12:21:30 +0200

gcc-12 (12.3.0-6ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 17:14:17 +0200

gcc-12 (12.3.0-6) unstable; urgency=medium

  * Update to git 20230707 from the gcc-12 branch.
    - Fix PR c++/110595, PR target/105325 (PPC), PR d/108842, PR d/110516,
      PR d/110514, PR fortran/110585, PR libstdc++/104299.
  * Apply proposed patch for PR target/106966. Addresses: #1019011.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jul 2023 17:11:56 +0200

gcc-12 (12.3.0-5ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 14:15:04 +0200

gcc-12 (12.3.0-5) unstable; urgency=medium

  * Update to git 20230630 from the gcc-12 branch.
    - Fix PR tree-optimization/110298, PR middle-end/110182,
      PR target/110132 (AArch64), PR target/110100 (AArch64),
      PR target/110100 (AArch64), PR target/109932 (PPC),
      PR target/110011 (PPC), PR tree-optimization/105651,
      PR rtl-optimization/110237, PR target/110309 (x86),
      PR testsuite/66005, PR middle-end/110420, PR middle-end/103979,
      PR middle-end/98619, PR d/110359, PR d/110113.

  [ Nicolas Boulenguez ]
  * ada/check_ali_update.sh: report checksum changes but ignore timestamps

  [ Matthias Klose ]
  * Remove bad liblto_plugin.so symlink introduced in 12.3.0-4.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jun 2023 14:05:15 +0200

gcc-12 (12.3.0-4) unstable; urgency=medium

  * Update to git 20230617 from the gcc-12 branch.
    - Fix PR target/110136 (loongarch).
  * Fix providing the liblto_plugin.so symlink in the new place.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2023 11:56:50 +0200

gcc-12 (12.3.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Jun 2023 09:48:05 +0200

gcc-12 (12.3.0-3) unstable; urgency=high

  * Update to git 20230613 from the gcc-12 branch.
    - Fix PR middle-end/110200.
  * gcc-12-base: Bump the Breaks: gnat (<< 12) for smoother upgrades from
    bullseye (Andreas Beckmann). Closes: #1036641.
  * Remove obsolete gcn assembler patch.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2023 12:57:17 +0200

gcc-12 (12.3.0-2ubuntu1) mantic; urgency=medium

  * Update to git 20230613 from the gcc-12 branch.
    - Fix PR middle-end/110200.
  * gcc-12-base: Bump the Breaks: gnat (<< 12) for smoother upgrades from
    bullseye (Andreas Beckmann). Closes: #1036641.
  * Remove obsolete gcn assembler patch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jun 2023 09:17:13 +0200

gcc-12 (12.3.0-2) unstable; urgency=medium

  * Update to git 20230611 from the gcc-12 branch.
    - Fix PR tree-optimization/109778, PR target/108758 (PPC),
      PR target/109069 (PPC), PR c/105660, PR c++/109160,
      PR c++/106740, PR c++/105852, PR libffi/109447, PR target/109650 (AVR),
      PR target/92729 (AVR), PR target/106907 (PPC), PR target/110044 (PPC),
      PR target/110108 (X86), PR target/109800 (ARM), PR target/109939 (ARM),
      PR target/110088 (AVR), PR target/109954 (AVR), PR target/110036 (RISCV),
      PR target/104327 (AVR), PR target/82931 (AVR), PR target/70243 (PPC),
      PR tree-optimization/109505, PR target/105753 (AVR),

